# Uses of Interface
org.springframework.expression.OperatorOverloader

Packages that use OperatorOverloader
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of OperatorOverloader in org.springframework.expression

Methods in org.springframework.expression that return OperatorOverloader
Modifier and Type
Method
Description
`OperatorOverloader`
EvaluationContext.`getOperatorOverloader()`
Return an operator overloader that may support mathematical operations between more than the standard set of types.

## Uses of OperatorOverloader in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement OperatorOverloader
Modifier and Type
Class
Description
`class`
`StandardOperatorOverloader`
Standard implementation of `OperatorOverloader`.
Methods in org.springframework.expression.spel.support that return OperatorOverloader
Modifier and Type
Method
Description
`OperatorOverloader`
SimpleEvaluationContext.`getOperatorOverloader()`
Return an instance of `StandardOperatorOverloader`.
`OperatorOverloader`
StandardEvaluationContext.`getOperatorOverloader()`
Methods in org.springframework.expression.spel.support with parameters of type OperatorOverloader
Modifier and Type
Method
Description
`void`
StandardEvaluationContext.`setOperatorOverloader(OperatorOverloader operatorOverloader)`